/**
   @version 1.00 1996-09-07
   @author Cay Horstmann
*/

import java.rmi.*;
import java.rmi.server.*;

/**
   Klasa implementacji zdalnych obiektów 
   reprezentujących produkty.
*/
public class ProductImpl
   extends UnicastRemoteObject
   implements Product
{ 
   /**
      Tworzy obiekt implementacji
      @param n nazwa produktu
   */
   public ProductImpl(String n) throws RemoteException
   {  
      name = n;
   }

   public String getDescription() throws RemoteException
   {  
      return "To ja - " + name + ". Kup mnie!";
   }

   private String name;
}
